<?php
/**
 * (c) 2004-2006 Linbox / Free&ALter Soft, http://linbox.com
 *
 * $Id: infoPackage.inc.php 5 2008-05-19 16:23:34Z cdelfosse $
 *
 * This file is part of LMC.
 *
 * LMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * LMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with LMC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
?>
<?

    /**
     * module declaration
     */
    $mod = new Module("printstats");
    $mod->setVersion("2.3.1");
    $mod->setRevision("$Rev: 5 $");
    $mod->setDescription(_T("Printing service statistics","printstats"));
    $mod->setAPIVersion('1:0:0');

    $submod = new SubModule("printstats");
    $submod->setDescription(_T("Printers stats","printstats"));
    $submod->setImg('img/navbar/printstats');
    $submod->setImgSize(100);
    $submod->setDefaultPage("printstats/printstats/index");
    $submod->setPriority(251);

    $page = new Page("index",_T("Temporal monitoring","printstats"));
    $submod->addPage($page);

    $page = new Page("render",_T("Display figures","printstats"));
    $page->setOptions(array("visible"=>False));
    $submod->addPage($page);

    $page = new Page("printers",_T("View by printer queue","printstats"));
    $submod->addPage($page);

    $page = new Page("printer",_T("View for a printer queue","printstats"));
    $submod->addPage($page);

    $page = new Page("users",_T("View by user","printstats"));
    $submod->addPage($page);

    $mod->addSubmod($submod);

    $MMCApp =&MMCApp::getInstance();
    $MMCApp->addModule(&$mod);
?>
