<?php
/**
 * (c) 2004-2006 Linbox / Free&ALter Soft, http://linbox.com
 *
 * $Id: users.php 24 2006-06-08 13:01:17Z jwax $
 *
 * This file is part of LMC.
 *
 * LMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * LMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with LMC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
?>
<?

/* $Id: users.php 24 2006-06-08 13:01:17Z jwax $ */

require("modules/printstats/includes/request.php");

$title = _T("Per user view");

$path = array(array("name" => "Accueil",
                    "link" => "index.php"),
              array("name" => "Imprimantes",
                    "link" => "main.php?module=printers&submod=printers&action=index"),
              array("name" => $title));

if(!isset($_SESSION["userOrderby"])) $_SESSION["userOrderby"] = "total";
if(!isset($_SESSION["userSort"])) $_SESSION["userSort"] = "desc";
if(isset($_GET["orderby"])) $_SESSION["userOrderby"] = $_GET["orderby"];
if(isset($_GET["sort"])) $_SESSION["userSort"] = $_GET["sort"];

require("localSidebar.php");
require("graph/navbar.inc.php");

print "<h2>$title</h2>";
print '<div class="fixheight"></div>';

$p = new PageGenerator();
$p->setSideMenu($sidemenu);
$p->displaySideMenu();

$r = new Request();
$r->beginForm();
$r->selectPrintServer();
$r->selectTimeRange();
$r->endForm();

$rows = getUsersStats($_SESSION["printserver"], $_SESSION["dateStart"], $_SESSION["dateEnd"], $_SESSION["userOrderby"], $_SESSION["userSort"], $_SESSION["arrayLength"]);

?>

<br/>

<table>
<tr>
 <td><b><?= _T("User"); ?></b> <a href="main.php?module=printstats&submod=printstats&action=users&orderby=username&sort=desc"><img src="img/common/s_desc.png"/></a>-<a href="main.php?module=printstats&submod=printstats&action=users&orderby=username&sort=asc"><img src="img/common/s_asc.png"/></a></td>
 <td><b><?= _T("Total"); ?></b> <a href="main.php?module=printstats&submod=printstats&action=users&orderby=total&sort=desc"><img src="img/common/s_desc.png"/></a>-<a href="main.php?module=printstats&submod=printstats&action=users&orderby=total&sort=asc"><img src="img/common/s_asc.png"/></a></td>
 <td><b><?= _T("Color"); ?></b> <a href="main.php?module=printstats&submod=printstats&action=users&orderby=color&sort=desc"><img src="img/common/s_desc.png"/></a>-<a href="main.php?module=printstats&submod=printstats&action=users&orderby=color&sort=asc"><img src="img/common/s_asc.png"/></a></td>
 <td><b><?= _T("Black and white"); ?></b> <a href="main.php?module=printstats&submod=printstats&action=users&orderby=bw&sort=desc"><img src="img/common/s_desc.png"/></a>-<a href="main.php?module=printstats&submod=printstats&action=users&orderby=bw&sort=asc"><img src="img/common/s_asc.png"/></a></td>
</tr>

<?

foreach($rows as $idx => $row) {
    print "<tr>";
    print " <td>$row[0]</a>";
    print " <td>$row[1]";
    print " <td>$row[2]";
    print " <td>$row[3]";
    print "</tr>";
}

?>

</table>

<img id="graph" src="main.php?module=printstats&submod=printstats&action=render&type=users" alt="graph" />

<img id="graph" src="main.php?module=printstats&submod=printstats&action=render&type=colors" alt="graph" />