<?php
/**
 * (c) 2004-2006 Linbox / Free&ALter Soft, http://linbox.com
 *
 * $Id: request.php 23 2006-06-06 08:04:45Z jwax $
 *
 * This file is part of LMC.
 *
 * LMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * LMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with LMC; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
?>
<?

/* $Id: request.php 23 2006-06-06 08:04:45Z jwax $ */

require("modules/printstats/includes/xmlrpc.php");

class Request {

    function Request() {
        if (isset($_POST["printserver"])) $_SESSION["printserver"] = $_POST["printserver"];
        if (!isset($_SESSION["printserver"])) $_SESSION["printserver"] = "ALL";

        if (isset($_POST["printer"])) $_SESSION["printer"] = $_POST["printer"];

        if (isset($_POST["dateStart"])) {
            $_SESSION["dateStart"] = $_POST["dateStart"];
            $_SESSION["dateEnd"] = $_POST["dateEnd"];
            $_SESSION["arrayLength"] = $_POST["arrayLength"];
        }

        $d = mktime(0, 0, 0, date("m"), date("d") - 7, date("Y"));
        if (!isset($_SESSION["dateStart"])) $_SESSION["dateStart"] = strftime("%Y-%m-%d",$d);
        if (!isset($_SESSION["dateEnd"])) $_SESSION["dateEnd"] = date("Y-m-d");
        if (!isset($_SESSION["arrayLength"])) $_SESSION["arrayLength"] = 50;
    }

    function beginForm() {
        echo '<div><form method="POST"><table><tr>';
    }

    function selectPrinterList() {
	$printers = getPrinterList();
	sort($printers);

        print "<td align=\"right\">"._T("Selected printing queue")." ". $_SESSION["printer"] . "</td>";
	echo "<td><select name=\"printer\">";

	foreach($printers as $idx => $printer) {
	    $selected = "";
	    if($printer[0] == $_SESSION["printer"]) $selected = "SELECTED";
	    echo "<option value=\"$printer[0]\" $selected>$printer[0]</option>";
	}

	echo "</select></td>";
    }

    function selectPrintServer() {
        $servers = getPrintServers();
        sort($servers);

        echo "<td align=\"right\">"._T("Selected printing server")."</td><td><select name=\"printserver\">";
        if ($_SESSION["printserver"] == "ALL") $selected = "SELECTED";
        echo "<option value=\"ALL\" $selected>"._T("All")."</option>";

        foreach($servers as $idx => $server) {
            $selected = "";
            if ($server[0] == $_SESSION["printserver"]) $selected = "SELECTED";
            echo "<option value=\"$server[0]\" $selected>$server[0]</option>";
        }

        echo "</select></td>";
    }

    function selectTimeRange() {
        echo '<td>
         '._T("Period from").'
         <INPUT type=text name="dateStart" value='.$_SESSION["dateStart"].' size=10 />
         '._T("to").' <INPUT type=text name="dateEnd" value='.$_SESSION["dateEnd"].' size=10 />
         '._T("number of entries").' <INPUT type=text name="arrayLength" value='.$_SESSION["arrayLength"].' size=2 /></td>';
    }

    function endForm() {
        echo '<td align="left"><INPUT type=submit name="submit" value="'._T("Refresh").'" /></td></tr></table></form></div>' ;
    }

}

?>